## org.hibernate.proxy.pojo.javassist
Class SerializableProxy

    java.lang.Object
      org.hibernate.proxy.AbstractSerializableProxy
          org.hibernate.proxy.pojo.javassist.SerializableProxy

All Implemented Interfaces:
  Serializable

    public final class SerializableProxy

extends AbstractSerializableProxy

Serializable placeholder for Javassist proxies

See Also:
  Serialized Form

Constructor Summary
`SerializableProxy()`
`SerializableProxy(String entityName, Class persistentClass, Class[] interfaces, Serializable id, Boolean readOnly, Method getIdentifierMethod, Method setIdentifierMethod, CompositeType componentIdType)`

Method Summary

Methods inherited from class org.hibernate.proxy.AbstractSerializableProxy
`getEntityName, getId, setReadOnlyBeforeAttachedToSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableProxy

    public SerializableProxy()

### SerializableProxy

    public SerializableProxy(String entityName,
                             Class persistentClass,
                             Class[] interfaces,
                             Serializable id,
                             Boolean readOnly,
                             Method getIdentifierMethod,
                             Method setIdentifierMethod,
                             CompositeType componentIdType)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.